# 2L-VKOGA

Python implementation of the 2L-VKOGA algorithm, which uses a kernel optimization (two layered kernel) before running VKOGA with the modified kernel.

## How to cite:
If you use this code in your work for scalar-valued output data, please cite the paper

> T. Wenzel, F. Marchetti, and E. Perracchione. Data-driven kernel designs for
optimized greedy schemes: A machine learning perspective.
arXiv preprint arXiv:2301.08047, 2023.


```bibtex:
@article{wenzel2023data,
  title={Data-driven kernel designs for optimized greedy schemes: A machine learning perspective},
  author={Wenzel, Tizian and Marchetti, Francesco and Perracchione, Emma},
  journal={arXiv preprint arXiv:2301.08047},
  year={2023}
}
```

If you use this code in your work for vectorial-valued output data, please cite the paper

> T. Wenzel, B. Haasdonk, H. Kleikamp, M. Ohlberger, and F. Schindler. Application
of Deep Kernel Models for Certified and Adaptive RB-ML-ROM Surrogate Model-
ing. arXiv preprint arXiv:2302.14526, 2023. Accepted for LSSC 2023 proceedings.

```bibtex:
@article{wenzel2023application,
  title={Application of {D}eep {K}ernel {M}odels for {C}ertified
and {A}daptive {RB}-{ML}-{ROM} {S}urrogate {M}odeling},
  author={Wenzel, Tizian and Haasdonk, Bernard and Kleikamp, Hendrik and Ohlberger, Mario and Schindler, Felix},
  journal={arXiv preprint arXiv:2302.14526},
  year={2023},
  note={Accepted for LSSC 2023 proceedings.}
}
```


For further details on the VKOGA algorithm, please refer to [here](https://github.com/GabrieleSantin/VKOGA).

